| Irrlicht 3D Engine |

Public Member Functions
irr::scene::SVertexColorGammaManipulator Class Reference

Vertex manipulator which adjusts the brightness by a gamma operation. More...

`#include <SVertexManipulator.h>`

Inheritance diagram for irr::scene::SVertexColorGammaManipulator:

List of all members.

## Public Member Functions

- SVertexColorGammaManipulator (f32 gamma)
- void operator() (video::S3DVertex &vertex) const

## Detailed Description

Vertex manipulator which adjusts the brightness by a gamma operation.

A value over one increases brightness, one below darkens the colors.

Definition at line 126 of file SVertexManipulator.h.

## Constructor & Destructor Documentation

irr::scene::SVertexColorGammaManipulator::SVertexColorGammaManipulator | ( | f32 | gamma | ) | `[inline]`

Definition at line 129 of file SVertexManipulator.h.

## Member Function Documentation

void irr::scene::SVertexColorGammaManipulator::operator() | ( | video::S3DVertex & | vertex | ) | const`[inline]`

Definition at line 134 of file SVertexManipulator.h.

References irr::core::clamp(), irr::video::S3DVertex::Color, and irr::core::round32().

The documentation for this class was generated from the following file:

- SVertexManipulator.h